import { UniversalContainer } from './universal.container';
import { IContainerProps, IContainer } from '../../definition';
export declare class BaseContainer<TProps extends IContainerProps = IContainerProps, TState = {}> extends UniversalContainer<TProps, TState> implements IContainer<TProps, TState> {
    constructor(props: TProps);
    protected dispatchNotification(info: string): void;
    /**
     * @deprecated Use $$formChangesConfirmDispatcherProxy
     */
    protected activateFormDialog(): void;
}
