import { IChannelWrapperEntity, INotificationWrapperEntity, IQueryFilterEntity, IQueryFilterWrapperEntity, IStackWrapperEntity, ILayoutWrapperEntity } from '../../definition';
export declare const layoutMapper: (state: ILayoutWrapperEntity) => ILayoutWrapperEntity;
export declare const filterMapper: (filterState: IQueryFilterEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
export declare const notificationMapper: (state: INotificationWrapperEntity) => INotificationWrapperEntity;
export declare const channelMapper: (state: IChannelWrapperEntity) => IChannelWrapperEntity;
/**
 * @deprecated Use mapQueryFilterEntity
 */
export declare const filterWrapperMapper: (filterState: IQueryFilterWrapperEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
/**
 * @stable [18.09.2018]
 * @param {IStackWrapperEntity} state
 * @returns {IStackWrapperEntity}
 */
export declare const stackMapper: (state: IStackWrapperEntity) => IStackWrapperEntity;
export declare const defaultMappers: (((userWrapper: import("core/definition/user-definition.interface").IUserWrapperEntity) => import("core/definition/user-definition.interface").IUserWrapperEntity) | ((storeEntity: import("core/definition/redux-definition.interface").IUniversalStoreEntity<{}, {}>) => import("core/definition/dictionary-definition.interface").IDictionariesWrapperEntity) | ((storeEntity: import("core/definition/redux-definition.interface").IUniversalStoreEntity<{}, {}>) => import("core/definition/transport-definition.interface").ITransportWrapperEntity) | ((state: ILayoutWrapperEntity) => ILayoutWrapperEntity) | ((state: INotificationWrapperEntity) => INotificationWrapperEntity) | ((state: IChannelWrapperEntity) => IChannelWrapperEntity) | ((state: IStackWrapperEntity) => IStackWrapperEntity))[];
