import { ConnectorMapperT, IUniversalContainerCtor, IUniversalStoreEntity } from '../../definition';
/**
 * @stable [16.11.2019]
 * @param {IUniversalContainerCtor} containerCtor
 * @param {ConnectorMapperT<TStoreEntity extends IUniversalStoreEntity>} mappers
 * @returns {IUniversalContainerCtor}
 */
export declare const universalConnectorFactory: <TStoreEntity extends IUniversalStoreEntity<{}, {}> = IUniversalStoreEntity<{}, {}>>(containerCtor: IUniversalContainerCtor<import("core/definition/props-definition.interface").IUniversalContainerProps, {}>, ...mappers: ConnectorMapperT<TStoreEntity>[]) => IUniversalContainerCtor<import("core/definition/props-definition.interface").IUniversalContainerProps, {}>;
