"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../../../definitions.interface");
var filter_form_dialog_interface_1 = require("./filter-form-dialog.interface");
var FilterFormDialogActionBuilder = /** @class */ (function () {
    function FilterFormDialogActionBuilder() {
    }
    /**
     * @stable [12.03.2019]
     * @param {string} section
     * @returns {string}
     */
    FilterFormDialogActionBuilder.buildResetActionType = function (section) {
        return "" + definitions_interface_1.ACTION_PREFIX + section + "." + filter_form_dialog_interface_1.FILTER_FORM_DIALOG_RESET_ACTION_TYPE;
    };
    /**
     * @stable [10.03.2019]
     * @param {string} section
     * @returns {string}
     */
    FilterFormDialogActionBuilder.buildAcceptActionType = function (section) {
        return "" + definitions_interface_1.ACTION_PREFIX + section + "." + filter_form_dialog_interface_1.FILTER_FORM_DIALOG_ACCEPT_ACTION_TYPE;
    };
    /**
     * @stable [10.03.2019]
     * @param {string} section
     * @returns {string}
     */
    FilterFormDialogActionBuilder.buildClearActionType = function (section) {
        return "" + definitions_interface_1.ACTION_PREFIX + section + "." + filter_form_dialog_interface_1.FILTER_FORM_DIALOG_CLEAR_ACTION_TYPE;
    };
    return FilterFormDialogActionBuilder;
}());
exports.FilterFormDialogActionBuilder = FilterFormDialogActionBuilder;
//# sourceMappingURL=filter-form-dialog-action.builder.js.map