/// <reference types="react" />
import { BaseCheckbox } from './base-checkbox.component';
import { ICheckboxState, ICheckboxProps } from './checkbox.interface';
export declare class Checkbox extends BaseCheckbox<ICheckboxProps, ICheckboxState> {
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    protected getInputAttachmentElement(): JSX.Element;
    /**
     * @stable [23.10.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
