"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var base_1 = require("../../base");
var GridHeader = /** @class */ (function (_super) {
    __extends(GridHeader, _super);
    function GridHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    GridHeader.prototype.render = function () {
        var props = this.props;
        return (React.createElement(definition_1.UniversalStickyContext.Consumer, null, function (stickyElementClassName) { return (React.createElement("thead", { className: util_1.joinClassName('rac-grid-head', props.stickyHead && stickyElementClassName) }, props.children)); }));
    };
    return GridHeader;
}(base_1.BaseComponent));
exports.GridHeader = GridHeader;
//# sourceMappingURL=grid-header.component.js.map