"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_component_1 = require("../../base/base.component");
var util_1 = require("../../../util");
var FlexLayout = /** @class */ (function (_super) {
    __extends(FlexLayout, _super);
    function FlexLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [11.09.2019]
     * @returns {JSX.Element}
     */
    FlexLayout.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", __assign({ ref: this.selfRef, className: util_1.joinClassName(props.className, 
            /**/
            props.inline ? 'rac-inline-flex' : 'rac-flex', props.row ? 'rac-flex-row' : 'rac-flex-column', 
            /**/
            util_1.fullFlexClassName(props), props.fullSize && 'rac-full-size', props.noShrink && 'rac-flex-no-shrink', 
            /**/
            props.wrap && 'rac-flex-wrap', props.alignItemsCenter && 'rac-flex-align-items-center', props.alignItemsEnd && 'rac-flex-align-items-end', props.justifyContentCenter && 'rac-flex-justify-content-center', props.justifyContentEnd && 'rac-flex-justify-content-end', props.justifyContentSpaceBetween && 'rac-flex-justify-content-space-between', 
            /**/
            props.separator && 'rac-flex-separator' // TODO Deprecated
            ), title: props.title, style: props.style }, util_1.handlerPropsFactory(props.onClick, !util_1.calc(props.disabled), props.touched)), props.children));
    };
    return FlexLayout;
}(base_component_1.BaseComponent));
exports.FlexLayout = FlexLayout;
//# sourceMappingURL=flex-layout.component.js.map