"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_1 = require("../base");
var Thumb = /** @class */ (function (_super) {
    __extends(Thumb, _super);
    function Thumb() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [03.10.2018]
     * @returns {JSX.Element}
     */
    Thumb.prototype.render = function () {
        var props = this.props;
        var disabled = props.disabled, value = props.value;
        return (React.createElement("div", { className: util_1.toClassName(props.className, 'rac-thumb', disabled ? 'rac-thumb-disabled' : 'rac-thumb-enabled', value ? 'rac-thumb-checked' : 'rac-thumb-unchecked') }));
    };
    return Thumb;
}(base_1.BaseComponent));
exports.Thumb = Thumb;
//# sourceMappingURL=thumb.component.js.map