"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var CryptoJS = require("crypto-js");
var inversify_1 = require("inversify");
var CryptoManager = /** @class */ (function () {
    function CryptoManager() {
    }
    /**
     * @stable [03.04.2019]
     * @param {AnyT} payload
     * @param {StringNumberT} key
     * @returns {string}
     */
    CryptoManager.prototype.encrypt = function (payload, key) {
        return CryptoJS.AES.encrypt(payload, String(key)).toString();
    };
    /**
     * @stable [03.04.2019]
     * @param {AnyT} payload
     * @param {StringNumberT} key
     * @param {boolean} stringResult
     * @returns {AnyT}
     */
    CryptoManager.prototype.decrypt = function (payload, key, stringResult) {
        if (stringResult === void 0) { stringResult = true; }
        var decryptedBytes = CryptoJS.AES.decrypt(payload, String(key));
        return stringResult === false ? decryptedBytes : decryptedBytes.toString(CryptoJS.enc.Utf8);
    };
    CryptoManager = __decorate([
        inversify_1.injectable()
    ], CryptoManager);
    return CryptoManager;
}());
exports.CryptoManager = CryptoManager;
//# sourceMappingURL=crypto-manager.service.js.map