"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DI_TYPES = Object.freeze({
    Api: Symbol('Api'),
    Auth: Symbol('Auth'),
    Channel: Symbol('Channel'),
    CryptoManager: Symbol('CryptoManager'),
    DatabaseStorage: Symbol('DatabaseStorage'),
    DateConverter: Symbol('DateConverter'),
    DomAccessor: Symbol('DomAccessor'),
    DynamicRoutes: Symbol('DynamicRoutes'),
    Environment: Symbol('Environment'),
    EventManager: Symbol('EventManager'),
    FieldsOptions: Symbol('FieldsOptions'),
    FileStorage: Symbol('FileStorage'),
    FullScreenManager: Symbol('FullScreenManager'),
    GeoCoder: Symbol('GeoCoder'),
    I18n: Symbol('I18n'),
    Lock: Symbol('Lock'),
    LogManager: Symbol('LogManager'),
    LogManagerEventPayloadFactory: Symbol('LogManagerEventPayloadFactory'),
    Menu: Symbol('Menu'),
    ModifyEntityPayloadFactory: Symbol('ModifyEntityPayloadFactory'),
    NotVersionedPersistentStorage: Symbol('NotVersionedPersistentStorage'),
    NotVersionedSessionStorage: Symbol('NotVersionedSessionStorage'),
    NumberConverter: Symbol('NumberConverter'),
    PermissionsManager: Symbol('PermissionsManager'),
    Router: Symbol('Router'),
    Routes: Symbol('Routes'),
    Settings: Symbol('Settings'),
    StateSerializer: Symbol('StateSerializer'),
    Storage: Symbol('Storage'),
    StorageHelper: Symbol('StorageHelper'),
    Store: Symbol('Store'),
    Translate: Symbol('Translate'),
    Transport: Symbol('Transport'),
    TransportErrorInterceptor: Symbol('TransportErrorInterceptor'),
    TransportFactory: Symbol('TransportFactory'),
    TransportRequestDataFactory: Symbol('TransportRequestDataFactory'),
    TransportRequestPayloadFactory: Symbol('TransportRequestPayloadFactory'),
    TransportRequestProvider: Symbol('TransportRequestProvider'),
    TransportResponseAccessor: Symbol('TransportResponseAccessor'),
    TransportResponseFactory: Symbol('TransportResponseFactory'),
    TransportTokenAccessor: Symbol('TransportTokenAccessor'),
    UIDefaultFactory: Symbol('UIDefaultFactory'),
    UIFactory: Symbol('UIFactory'),
    UIIconFactory: Symbol('UIIconFactory'),
    UIPlugins: Symbol('UIPlugins'),
    VersionProcessor: Symbol('VersionProcessor'),
    WebBootstrapper: Symbol('WebBootstrapper'),
});
//# sourceMappingURL=di.interface.js.map