import { IOperationEntity } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [04.09.2019]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
export declare const makeEntityOperation: <TEntity extends IEntity>(uuid: string, entityId: string | number) => IOperationEntity;
