import { IPermissionsManager, IUniversalStoreEntity } from '../definition';
export declare class PermissionsManager<TAccessConfig, TStore = IUniversalStoreEntity> implements IPermissionsManager<TAccessConfig> {
    private readonly store;
    /**
     * @stable [18.09.2019]
     * @param {TAccessConfig} permissionObject
     * @returns {boolean}
     */
    isAccessible(permissionObject: TAccessConfig): boolean;
    /**
     * @stable [17.09.2019]
     * @returns {TStore}
     */
    protected getState(): TStore;
}
