"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var StateSerializer = /** @class */ (function () {
    function StateSerializer() {
    }
    /**
     * @stable [24.09.2019]
     * @param {IStoreEntity} state
     * @returns {IStoreEntity}
     */
    StateSerializer.prototype.serialize = function (state) {
        return __assign({}, state, util_1.ifNotNilThanValue(state.application, function () { return ({ application: definition_1.INITIAL_APPLICATION_ENTITY }); }), util_1.ifNotNilThanValue(state.notification, function () { return ({ notification: definition_1.INITIAL_NOTIFICATION_ENTITY }); }), util_1.ifNotNilThanValue(state.transport, function () { return ({ transport: definition_1.INITIAL_TRANSPORT_ENTITY }); }), util_1.ifNotNilThanValue(state.channel, function () { return ({ channel: definition_1.INITIAL_CHANNELS_ENTITY }); }));
    };
    StateSerializer = __decorate([
        inversify_1.injectable()
    ], StateSerializer);
    return StateSerializer;
}());
exports.StateSerializer = StateSerializer;
//# sourceMappingURL=state-serializer.service.js.map