import { ITransportResponseEntity, ITransportResponseAccessor } from '../../../definition';
export declare class TransportResponseAccessor implements ITransportResponseAccessor {
    /**
     * @stable [05.02.2019]
     * @param {ITransportResponseEntity} payload
     * @returns {string}
     */
    toToken(payload: ITransportResponseEntity): string;
    /**
     * @stable [05.02.2019]
     * @param {ITransportResponseEntity} responseEntity
     * @returns {boolean}
     */
    isAuthError(responseEntity: ITransportResponseEntity): boolean;
}
