"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definitions_interface_1 = require("../../definitions.interface");
/**
 * @stable [02.07.2018]
 */
exports.APPLICATION_SECTIONS = new Map();
/**
 * @stable [02.07.2018]
 */
exports.APPLICATION_SECTION = 'application';
exports.$APPLICATION_SECTION = "" + definitions_interface_1.ACTION_PREFIX + exports.APPLICATION_SECTION;
exports.APPLICATION_INIT_ACTION_TYPE = 'init';
exports.APPLICATION_MOUNT_ACTION_TYPE = 'mount';
exports.APPLICATION_AFTER_INIT_ACTION_TYPE = "after." + exports.APPLICATION_INIT_ACTION_TYPE;
exports.APPLICATION_CUSTOM_ERROR_ACTION_TYPE = 'custom.error';
exports.APPLICATION_PREPARE_ACTION_TYPE = 'prepare';
exports.APPLICATION_PREPARE_DONE_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(exports.APPLICATION_PREPARE_ACTION_TYPE);
exports.APPLICATION_PREPARE_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.APPLICATION_PREPARE_ACTION_TYPE);
exports.APPLICATION_PREPARE_DONE_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.APPLICATION_PREPARE_DONE_ACTION_TYPE);
exports.APPLICATION_LOGOUT_ACTION_TYPE = 'logout';
exports.APPLICATION_AFTER_LOGOUT_ACTION_TYPE = "after." + exports.APPLICATION_LOGOUT_ACTION_TYPE;
exports.APPLICATION_LOGIN_ACTION_TYPE = 'login';
exports.APPLICATION_AFTER_LOGIN_ACTION_TYPE = "after." + exports.APPLICATION_LOGIN_ACTION_TYPE;
exports.APPLICATION_READY_ACTION_TYPE = 'ready';
exports.APPLICATION_NOT_READY_ACTION_TYPE = "not." + exports.APPLICATION_READY_ACTION_TYPE;
exports.APPLICATION_PATH_ACTION_TYPE = 'path';
exports.APPLICATION_AUTHORIZED_ACTION_TYPE = 'authorized';
exports.APPLICATION_UNAUTHORIZED_ACTION_TYPE = 'unauthorized';
//# sourceMappingURL=application.interface.js.map