"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var universal_connector_interface_1 = require("./universal-connector.interface");
var ConnectorActionBuilder = /** @class */ (function () {
    function ConnectorActionBuilder() {
    }
    /**
     * @stable [20.10.2018]
     * @param {string} section
     * @returns {string}
     */
    ConnectorActionBuilder.buildInitActionType = function (section) {
        return universal_connector_interface_1.CONNECTED_CONTAINER_INIT_ACTION_TYPE + "." + section;
    };
    /**
     * @stable [20.10.2018]
     * @param {string} section
     * @returns {string}
     */
    ConnectorActionBuilder.buildDestroyActionType = function (section) {
        return universal_connector_interface_1.CONNECTED_CONTAINER_DESTROY_ACTION_TYPE + "." + section;
    };
    return ConnectorActionBuilder;
}());
exports.ConnectorActionBuilder = ConnectorActionBuilder;
//# sourceMappingURL=connector-action.builder.js.map