import { IForwardedRefWrapper, IAutoResetWrapper } from '../../../definitions.interface';
import { IFormWrapperEntity, IContainerProps } from '../../../definition';
/**
 * @stable [10.03.2019]
 */
export interface IFilterFormDialogContainerProps<TRef> extends IContainerProps, IAutoResetWrapper, IForwardedRefWrapper<TRef>, IFormWrapperEntity {
}
/**
 * @stable [10.03.2019]
 */
export declare const FILTER_FORM_DIALOG_ACCEPT_ACTION_TYPE = "filter.form.dialog.accept";
export declare const FILTER_FORM_DIALOG_CLEAR_ACTION_TYPE = "filter.form.dialog.clear";
export declare const FILTER_FORM_DIALOG_RESET_ACTION_TYPE = "filter.form.dialog.reset";
