"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var base_checkbox_component_1 = require("./base-checkbox.component");
var util_1 = require("../../../util");
var Checkbox = /** @class */ (function (_super) {
    __extends(Checkbox, _super);
    function Checkbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    Checkbox.prototype.getInputAttachmentElement = function () {
        var _this = this;
        return util_1.orNull(this.value, function () { return _this.uiFactory.makeIcon('check-sign'); });
    };
    /**
     * @stable [23.10.2019]
     * @returns {string}
     */
    Checkbox.prototype.getFieldClassName = function () {
        return util_1.joinClassName(_super.prototype.getFieldClassName.call(this), 'rac-checkbox');
    };
    return Checkbox;
}(base_checkbox_component_1.BaseCheckbox));
exports.Checkbox = Checkbox;
//# sourceMappingURL=checkbox.component.js.map