"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../../../base");
var layout_1 = require("../../../layout");
var util_1 = require("../../../../util");
var ListItemGraphic = /** @class */ (function (_super) {
    __extends(ListItemGraphic, _super);
    function ListItemGraphic() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [30.10.2018]
     * @returns {JSX.Element}
     */
    ListItemGraphic.prototype.render = function () {
        var props = this.props;
        return (React.createElement(layout_1.FlexLayout, { full: false, alignItemsCenter: true, justifyContentCenter: true, row: true, className: util_1.joinClassName('rac-list-item-graphic', props.className) }, this.uiFactory.makeIcon(props.iconConfiguration)));
    };
    return ListItemGraphic;
}(base_1.BaseComponent));
exports.ListItemGraphic = ListItemGraphic;
//# sourceMappingURL=list-item-graphic.component.js.map