/// <reference types="react" />
import { BaseList } from './base-list.component';
import { IEntity } from '../../definitions.interface';
import { IListProps } from '../../definition';
import { SimpleList } from '../list/simple';
export declare class List extends BaseList<IListProps, {}, SimpleList> {
    /**
     * @stable [25.10.2019]
     * @param {IListProps} props
     */
    constructor(props: IListProps);
    /**
     * @stable [25.10.2019]
     * @returns {Element}
     */
    getSelf(): Element;
    /**
     * @stable [25.10.2019]
     * @returns {JSX.Element}
     */
    protected getView(): JSX.Element;
    /**
     * @stable [13.09.2018]
     * @param {IEntity} entity
     * @param {number} index
     * @returns {JSX.Element}
     */
    protected getItem(entity: IEntity, index: number): JSX.Element;
}
