import { IFieldChangeEntity } from '../../definition';
import { UniversalContainer } from '../base/universal.container';
export declare class UniversalBaseListContainer<TProps extends any> extends UniversalContainer<TProps> {
    /**
     * @stable [09.06.2018]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [31.08.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable - 05.04.2018
     * @param {IFieldChangeEntity} payload
     */
    protected onChange(payload: IFieldChangeEntity): void;
    /**
     * @stable [05.06.2018]
     * @returns {TComponentProps}
     */
    protected getComponentProps<TComponentProps extends any>(): TComponentProps;
    /**
     * @stable [05.05.2018]
     */
    private onCreate;
    /**
     * @stable [05.05.2018]
     * @param {IEntity} entity
     */
    private onSelect;
}
