import { IKeyValue } from '../../definitions.interface';
import { BaseContainer } from '../../component/base/base.container';
import { IBaseRootContainerProps } from '../../definition';
export declare class BaseRootContainer extends BaseContainer<IBaseRootContainerProps> {
    static readonly defaultProps: IBaseRootContainerProps;
    /**
     * @stable [16.11.2019]
     * @param {IBaseRootContainerProps} props
     */
    constructor(props: IBaseRootContainerProps);
    /**
     * @stable [16.11.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [16.11.2019]
     * @returns {IKeyValue}
     */
    protected readonly routeParams: IKeyValue;
    /**
     * @stable [16.11.2019]
     * @returns {URLSearchParams}
     */
    protected readonly queryParams: URLSearchParams;
}
