import { ILifeCycleEntity } from './entity-definition.interface';
import { IApplicationWrapper, IAuthorizedWrapper, IPathWrapper, IReadyWrapper } from '../definitions.interface';
/**
 * @stable [24.09.2019]
 */
export declare enum ApplicationEventCategoriesEnum {
    STATE_ERROR = "state:error"
}
/**
 * @stable [24.09.2019]
 */
export declare enum ApplicationStateEventsEnum {
    SYNC = "sync"
}
/**
 * @stable [24.09.2019]
 */
export interface IApplicationEntity extends ILifeCycleEntity, IAuthorizedWrapper, IReadyWrapper, IPathWrapper {
}
/**
 * @stable [24.09.2019]
 */
export interface IApplicationWrapperEntity extends IApplicationWrapper<IApplicationEntity> {
}
/**
 * @stable [24.09.2019]
 */
export declare const INITIAL_APPLICATION_ENTITY: Readonly<IApplicationEntity>;
