import { IEffectsAction } from 'redux-effects-promise';
import { IEditedListMiddlewareConfigEntity } from '../../definition';
import { IEntity } from '../../definitions.interface';
/**
 * @stable [20.10.2019]
 * @param {IEditedListMiddlewareConfigEntity<TEntity extends IEntity, TState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeCreateEntityMiddleware: <TEntity extends IEntity, TState>(config: IEditedListMiddlewareConfigEntity<TEntity, TState>) => IEffectsAction[];
/**
 * @stable [19.10.2019]
 * @param {IEditedListMiddlewareConfigEntity<TEntity extends IEntity, TState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeSelectEntityMiddleware: <TEntity extends IEntity, TState>(config: IEditedListMiddlewareConfigEntity<TEntity, TState>) => IEffectsAction[];
/**
 * @stable [20.10.2019]
 * @param {IEditedListMiddlewareConfigEntity<TEntity extends IEntity, TState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeLazyLoadedEntityMiddleware: <TEntity extends IEntity, TState>(config: IEditedListMiddlewareConfigEntity<TEntity, TState>) => IEffectsAction[];
