import { IEffectsAction } from 'redux-effects-promise';
import { IPayloadWrapper } from '../definitions.interface';
import { IUserEntity } from '../definition';
export declare class UserActionBuilder {
    /**
     * @stable [11.08.2018]
     * @param {IPayloadWrapper<IUserEntity>} data
     * @returns {IEffectsAction}
     */
    static buildUpdateAction<TUserEntity extends IUserEntity>(data: IPayloadWrapper<TUserEntity>): IEffectsAction;
    /**
     * @stable [11.08.2018]
     * @returns {IEffectsAction}
     */
    static buildDestroyAction(): IEffectsAction;
}
