import { IMultiEntityStorageSetEntity } from '../definition';
/**
 * @stable [02.10.2019]
 * @param {TEntity} changes
 * @param {Array<(entity: TEntity) => MultiFieldSingleValueT>} fieldsValuesResolvers
 * @param {(fileName: string, value: MultiFieldSingleValueT) => Promise<IMultiEntityStorageSetEntity>} storageProcessor
 * @returns {Promise<IMultiEntityStorageSetEntity[]>}
 */
export declare const entitiesAsStorageTasks: <TEntity>(changes: TEntity, fieldsValuesResolvers: ((entity: TEntity) => string | number | import("core/definition/entity-definition.interface").IMultiEntity<import("core/definitions.interface").IEntity>)[], storageProcessor: (fileName: string, value: string | number | import("core/definition/entity-definition.interface").IMultiEntity<import("core/definitions.interface").IEntity>) => Promise<IMultiEntityStorageSetEntity>) => Promise<IMultiEntityStorageSetEntity[]>;
/**
 * @stable [02.10.2019]
 * @param {IMultiEntityStorageSetEntity} result
 * @returns {string}
 */
export declare const asSingleAddedFileId: (result: IMultiEntityStorageSetEntity) => string;
